﻿//Progammed by: Christian John I. Felix
//Nationality: Filipino
//Date: 7/22/2011
//"Human Knowledge Belongs to the World BUT Wisdom Belongs to GOD!"

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace GetBetweenDates
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        //Using Generic List and Class MyDates
        List<MyDates> ListOfDates = new List<MyDates>();

        //List<DateTime> ListOfDates = new List<DateTime>(); //Take out the comment if you will use the traditional foreach loop

        private void btnLoad_Click(object sender, EventArgs e)
        {
            ///////////////Convertion//////////////////////////////////////////////////////////////////////
            // Convert date to 1/1/2011 then Parse it to a Datetime so teh Data Type will be still DateTime
            DateTime start = DateTime.Parse(dt1.Value.ToString("MM/dd/yyyy"));
            DateTime end = DateTime.Parse(dt2.Value.ToString("MM/dd/yyyy"));
            ///////////////End of Convertion///////////////////////////////////////////////////////////////

            DateTime tmp = start;  

             //Loop until the end date has been reach

            while (tmp < end)
            {
                tmp = tmp.AddDays(1); //Add day form start date Ex: 1/1/2011 the start date will be 1/2/2011
                                     
                ListOfDates.Add(new MyDates(tmp)); //Add all dates into the List Method

                //ListOfDates.Add(tmp); //Take out the comment if you will use the traditional foreach loop

            }

            ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
            //Looping to a List is more faster than Looping to the traditional For Each Loop, MOSTLY use in a bulk of data
            ///////////////////////////////////////////////////////////////////////////////////////////////////////////////

            ///////////////////////Traditional For Each Loop////////////////////////
            // Take out the comment if you will use the traditional foreach loop////
            ////////////////////////////////////////////////////////////////////////

            //   foreach (Object date in ListOfDates)
            //  {
            //    listBox1.Items.Add(date);
            //  }

            //Loop to the List and Load it into a List Box
            ListOfDates.ForEach
            (delegate(MyDates d)
                {
                    listBox1.Items.Add(d.date);
                }
            );
           
        }

        private void Form1_Load(object sender, EventArgs e)
        {

        }
    }
}
